Package com.castlabs.sdk.downloader.v3retrofit

# Class TrackLoader

java.lang.Object
com.castlabs.sdk.downloader.v3retrofit.TrackLoader

@Deprecated public class TrackLoader extends Object
Deprecated.
Used only to migrate not completed v3.x.x downloads to v4.x.x
DASH and SmoothStreaming track loader used in SDK v3.x.x.

Since:
  4.0.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackLoader()`
  Deprecated.
  Default constructor for TrackLoader.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<AudioTrack>`
  `getAudioTrackList(com.google.android.exoplayer2.source.dash.manifest.DashManifest dashManifest, int periodIndex)`
  Deprecated.
  Loads audio tracks from the given DASH manifest
  `List<AudioTrack>`
  `getAudioTrackList(com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifest smoothManifest)`
  Deprecated.
  Loads audio tracks from the given SmoothStreaming manifest
  `List<SubtitleTrack>`
  `getTextTrackList(com.google.android.exoplayer2.source.dash.manifest.DashManifest dashManifest, int periodIndex)`
  Deprecated.
  Loads text tracks from the given DASH manifest
  `List<SubtitleTrack>`
  `getTextTrackList(com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifest smoothManifest)`
  Deprecated.
  Loads video tracks from the given SmoothStreaming manifest
  `List<VideoTrack>`
  `getVideoTrackList(com.google.android.exoplayer2.source.dash.manifest.DashManifest dashManifest, boolean removeHdContent, int periodIndex)`
  Deprecated.
  Loads video tracks from the given DASH manifest
  `List<VideoTrack>`
  `getVideoTrackList(com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifest smoothManifest, boolean removeHdContent)`
  Deprecated.
  Loads video tracks from the given SmoothStreaming manifest

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrackLoader

    public TrackLoader()
    Deprecated.
    Default constructor for TrackLoader.

- ## Method Details

  - ### getVideoTrackList

    @NonNull public List<VideoTrack> getVideoTrackList(@NonNull com.google.android.exoplayer2.source.dash.manifest.DashManifest dashManifest, boolean removeHdContent, int periodIndex)
    Deprecated.
    Loads video tracks from the given DASH manifest
    Parameters:
      `dashManifest` - DASH manifest
      `removeHdContent` - flag whether to remove HD content
      `periodIndex` - period index
    Returns:
      list of video tracks

  - ### getAudioTrackList

    @NonNull public List<AudioTrack> getAudioTrackList(@NonNull com.google.android.exoplayer2.source.dash.manifest.DashManifest dashManifest, int periodIndex)
    Deprecated.
    Loads audio tracks from the given DASH manifest
    Parameters:
      `dashManifest` - DASH manifest
      `periodIndex` - period index
    Returns:
      list of audio tracks

  - ### getTextTrackList

    @NonNull public List<SubtitleTrack> getTextTrackList(@NonNull com.google.android.exoplayer2.source.dash.manifest.DashManifest dashManifest, int periodIndex)
    Deprecated.
    Loads text tracks from the given DASH manifest
    Parameters:
      `dashManifest` - DASH manifest
      `periodIndex` - period index
    Returns:
      list of text tracks

  - ### getVideoTrackList

    @NonNull public List<VideoTrack> getVideoTrackList(@NonNull com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifest smoothManifest, boolean removeHdContent)
    Deprecated.
    Loads video tracks from the given SmoothStreaming manifest
    Parameters:
      `smoothManifest` - SmoothStreaming manifest
      `removeHdContent` - flag whether to remove HD content
    Returns:
      list of video tracks

  - ### getAudioTrackList

    @NonNull public List<AudioTrack> getAudioTrackList(@NonNull com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifest smoothManifest)
    Deprecated.
    Loads audio tracks from the given SmoothStreaming manifest
    Parameters:
      `smoothManifest` - SmoothStreaming manifest
    Returns:
      list of audio tracks

  - ### getTextTrackList

    @NonNull public List<SubtitleTrack> getTextTrackList(@NonNull com.google.android.exoplayer2.source.smoothstreaming.manifest.SsManifest smoothManifest)
    Deprecated.
    Loads video tracks from the given SmoothStreaming manifest
    Parameters:
      `smoothManifest` - SmoothStreaming manifest
    Returns:
      list of text tracks